<!DOCTYPE html>
<html>
  <head>
    <title>Demo</title>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="icon" href="data:," />

    <script src="wasm_exec.js"></script>
  </head>

  <body>
    <p id="status">
      <noscript>JavaScript is required for this demo.</noscript>
    </p>

    <script>
      const setStatus = (message) => {
        const statusContainer = document.getElementById("status");
        statusContainer.innerText = message;
      };

      setStatus("Loading, please wait up to 10 seconds.");

      const go = new Go();

      WebAssembly.instantiateStreaming(fetch("demo.wasm"), go.importObject)
        .then((result) => {
          setStatus("");
          go.run(result.instance);
        })
        .catch((err) => setStatus(err));
    </script>
  </body>
</html>
